Skip to main content

List Security Groups Available to Attach

Returns the security groups in the project that are not yet attached to the node and can therefore be attached to it - each group's id, name, description, and rules. The path takes a node id (from the cluster's node_id_list).

GET/api/v1/security_group/{node_id}/detach/

Path parameters

  • node_idPathintegerrequired

    The id of a cluster node (from node_id_list in List / Detail).

    • required
    • must be a valid node ID
    example320000

Query parameters

  • project_idQueryintegerrequired

    Identifier of the project to scope the request to. Required integer project ID.

    • required
    • must be a valid integer project ID
    example{{project_id}}
  • apikeyQuerystringrequired

    API key used to authenticate the request.

    • required
    • non-empty string
    example{{api_key}}
  • locationQuerystringrequired

    Region of the cluster.

    • required
    • must be a valid region name (e.g., Delhi, Chennai)
    example{{location}}

Responses

200Successful response
object
codeinteger
example200
dataarray

Security groups available to attach to the node.

errorsobject
messagestring
exampleSuccess